import 'package:chat/data/constants.dart';
import 'package:chat/generated/i18n.dart';
import 'package:chat/home/global_search.dart';
import 'package:chat/home/my_qr.dart';
import 'package:chat/utils/CustomUI.dart';
import 'package:flutter/material.dart';

class SearchNewFriendsPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
            backgroundColor: AppColors.NewAppbarBgColor,
            title: Text(
              I18n.of(context).add_friends,
              textScaleFactor: 1.0,
              style: TextStyle(color: AppColors.NewAppbarTextColor),
            ),
            centerTitle: true,
            leading: CustomUI.buildCustomLeading(context),
            bottom: CustomUI.buildSearchButton(context, () {
              Navigator.of(context).push(
                new MaterialPageRoute(
                  builder: (context) {
                    return GlobalSearchPage(
                      type: GlobalSearchPageType.SearchNewFriends,
                    );
                  },
                ),
              );
            })),
        body: MyQr());
  }
}
